Summary: A framework for working with bibliographic databases.
Name: pybliographer
Version: 1.2.4
Release: 0.fdr.4.1
Epoch: 0
License: GPL
Group: Applications/Publishing
Source: http://dl.sf.net/pybliographer/pybliographer-1.2.4.tar.gz
Patch: pyblio.patch
Url: http://www.pybliographer.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch


BuildRequires: pygtk2-libglade >= 0:2.0.0
BuildRequires: gnome-python2 >= 0:2.0.0
BuildRequires: gnome-python2-gconf >= 0:2.0.0
BuildRequires: python-bibtex >= 0:1.1.93.1
BuildRequires: gettext
BuildRequires: scrollkeeper >= 0:0.1.4
BuildRequires: desktop-file-utils
BuildRequires: intltool

Requires: pygtk2-libglade >= 0:2.0.0
Requires: gnome-python2 >= 0:2.0.0
Requires: gnome-python2-gconf >= 0:2.0.0
Requires: python-bibtex >= 0:1.1.93.1
Requires(post): scrollkeeper >= 0:0.1.4
Requires(postun): scrollkeeper >= 0:0.1.4

%description
Pybliographer is a tool for managing bibliographic databases. It can be 
used for searching, editing, reformatting, etc. In fact, it's a simple 
framework that provides easy to use python classes and functions, and 
therefore can be extended to many uses (generating HTML pages according
to bibliographic searches, etc).
In addition to the scripting environment, a graphical Gnome interface 
is available. It provides powerful editing capabilities, a nice 
hierarchical search mechanism, direct insertion of references into LyX, 
direct queries on Medline, and more. It currently supports the following 
file formats: BibTeX, ISI, Medline, Ovid, Refer.


%prep
%setup -q
%patch -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

desktop-file-install --vendor fedora --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Fedora                                   \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%__rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

# Compile .pyc and .pyo
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT%{_datadir}/pybliographer', ddir='%{_datadir}/pybliographer', force=1)"
%{__python} -O -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT%{_datadir}/pybliographer', ddir='%{_datadir}/pybliographer', force=1)"


%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update

%postun
scrollkeeper-update


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog* NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/fedora-pybliographic.desktop
%{_datadir}/gnome/help/pybliographer
%{_datadir}/mime-info/*
%{_datadir}/omf/pybliographer
%{_datadir}/pixmaps/*
%dir %{_datadir}/pybliographer
%dir %{_datadir}/pybliographer/Pyblio
%dir %{_datadir}/pybliographer/Pyblio/ConfDir
%{_datadir}/pybliographer/Pyblio/ConfDir/*.py
%{_datadir}/pybliographer/Pyblio/ConfDir/*.pyc
%ghost %{_datadir}/pybliographer/Pyblio/ConfDir/*.pyo
%dir %{_datadir}/pybliographer/Pyblio/Format
%{_datadir}/pybliographer/Pyblio/Format/*.py
%{_datadir}/pybliographer/Pyblio/Format/*.pyc
%ghost %{_datadir}/pybliographer/Pyblio/Format/*.pyo
%dir %{_datadir}/pybliographer/Pyblio/GnomeUI
%{_datadir}/pybliographer/Pyblio/GnomeUI/*.py
%{_datadir}/pybliographer/Pyblio/GnomeUI/*.pyc
%ghost %{_datadir}/pybliographer/Pyblio/GnomeUI/*.pyo
%dir %{_datadir}/pybliographer/Pyblio/Output
%{_datadir}/pybliographer/Pyblio/Output/*.py
%{_datadir}/pybliographer/Pyblio/Output/*.pyc
%ghost %{_datadir}/pybliographer/Pyblio/Output/*.pyo
%dir %{_datadir}/pybliographer/Pyblio/Style
%{_datadir}/pybliographer/Pyblio/Style/*.py
%{_datadir}/pybliographer/Pyblio/Style/*.pyc
%ghost %{_datadir}/pybliographer/Pyblio/Style/*.pyo
%{_datadir}/pybliographer/Pyblio/*.py
%{_datadir}/pybliographer/Pyblio/*.pyc
%ghost %{_datadir}/pybliographer/Pyblio/*.pyo
%{_datadir}/pybliographer/Styles
%{_datadir}/pybliographer/glade
%attr(644,root,root) %{_datadir}/pybliographer/pybcheck.py
%attr(644,root,root) %{_datadir}/pybliographer/pybcompact.py
%attr(644,root,root) %{_datadir}/pybliographer/pybconvert.py
%attr(644,root,root) %{_datadir}/pybliographer/pybformat.py
%attr(644,root,root) %{_datadir}/pybliographer/pybliographic.py
%attr(644,root,root) %{_datadir}/pybliographer/pybtex.py
%attr(644,root,root) %{_datadir}/pybliographer/pybtext.py
%ghost %{_datadir}/pybliographer/pybcheck.pyc
%ghost %{_datadir}/pybliographer/pybcompact.pyc
%ghost %{_datadir}/pybliographer/pybconvert.pyc
%ghost %{_datadir}/pybliographer/pybformat.pyc
%ghost %{_datadir}/pybliographer/pybliographic.pyc
%ghost %{_datadir}/pybliographer/pybtex.pyc
%ghost %{_datadir}/pybliographer/pybtext.pyc
%ghost %{_datadir}/pybliographer/pybcheck.pyo
%ghost %{_datadir}/pybliographer/pybcompact.pyo
%ghost %{_datadir}/pybliographer/pybconvert.pyo
%ghost %{_datadir}/pybliographer/pybformat.pyo
%ghost %{_datadir}/pybliographer/pybliographic.pyo
%ghost %{_datadir}/pybliographer/pybtex.pyo
%ghost %{_datadir}/pybliographer/pybtext.pyo
%config %{_datadir}/pybliographer/pybrc.py
%ghost %{_datadir}/pybliographer/pybrc.pyc
%ghost %{_datadir}/pybliographer/pybrc.pyo


%changelog
* Fri Mar 11 2005 Zoltan Kota <z.kota at gmx.net> - 0:1.2.4-0.fdr.4
- fixed file ownerships

* Mon Nov 29 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.4-0.fdr.3
- removed redundant dependencies
- fixed directories in file list

* Fri Nov 26 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.4-0.fdr.2
- added a patch to fix bugs and add some new features
  (generated from pyblio arch: 
  patch-139,141-143,150,154,155,161,163,164,167)
- (re)compile pyc and pyo files. pyo and redundant pyc
  files are ghosted
- fix permission of scripts

* Mon Jul 19 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.4-0.fdr.1
- update to 1.2.4
- using macros for rm and localstatedir

* Tue Mar 23 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.3-0.fdr.1
- initial rpm release
